validators

Get validator set at a specified height.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…

Get Validators. Validators are sorted by voting power.

If the height field is set to a non-default value, upon success, the Cache-Control header will be set with the default maximum age.

Parameters

  • OBJECT - parameters
    • height: INTEGER - height to return. If no height is provided, it will fetch validator set which corresponds to the latest block. (default value : 0)
    • page: INTEGER - Page number (1-based, default value : 1)
    • per_page: INTEGER - Number of entries per page (max: 100, default value : 30)
curl https://cosmos-mainnet-archive.allthatnode.com:26657/8U3JLUhzIDg3GShvy9hkCCSYkLGc11kj \
--header "Content-Type: application/json" \
--data '{
  "jsonrpc": "2.0",
  "id": 1,
  "method": "validators",
  "params": {
    "height": "16369419",
    "page": "1",
    "per_page": "30"
  }
}'

Returns

  • OBJECT - Validator list object
{
    "jsonrpc": "2.0",
    "id": 1,
    "result": {
        "block_height": "16369419",
        "validators": [
            {
                "address": "D68EEC0D2E8248F1EC64CDB585EDB61ECA432BD8",
                "pub_key": {
                    "type": "tendermint/PubKeyEd25519",
                    "value": "LtiHVLCcE+oFII0vpIl9mfkGDmk9BpPg1eUkvKnO4xw="
                },
                "voting_power": "21686020",
                "proposer_priority": "-4323251"
            },
            {
                "address": "FB4FB25A61B493A5BF8E3CD4B5E8F5B404DA8E23",
                "pub_key": {
                    "type": "tendermint/PubKeyEd25519",
                    "value": "68r8DAukUPMCZMD36AjOsf6qRTFj+V25uaE1EAFRAAI="
                },
                "voting_power": "2634008",
                "proposer_priority": "24245283"
            },
            {
                "address": "CC87F56B58621811E2B5A47F38C6166E295CE36E",
                "pub_key": {
                    "type": "tendermint/PubKeyEd25519",
                    "value": "BewhITg/tAUf0yKYX4HbkHM+CsL8JwWPaPWG4Y0vCkE="
                },
                "voting_power": "2548214",
                "proposer_priority": "73697871"
            },
            {
                "address": "3B845C9AF1D69E9FBB620B69AB226B28BAC97985",
                "pub_key": {
                    "type": "tendermint/PubKeyEd25519",
                    "value": "8KD85R8EMmFataztLyUO40jp1o21+A6pbsoAL/m1SBI="
                },
                "voting_power": "2467091",
                "proposer_priority": "28743531"
            },
            {
                "address": "4EB1282675F724B59026F2173C23F0DC9936F118",
                "pub_key": {
                    "type": "tendermint/PubKeyEd25519",
                    "value": "5qKdBzdr8XHw2BWR/8yEceFRWEjGpzsqBo6q0OVkf9g="
                },
                "voting_power": "2399709",
                "proposer_priority": "25026744"
            },
            //...,
            {
                "address": "9C17C94F7313BB4D6E064287BEEDE5D3888E8855",
                "pub_key": {
                    "type": "tendermint/PubKeyEd25519",
                    "value": "Mvh+7UDaXgmj4Fst0ZUdx++MJmoq4B9M6mdgNc8H2pM="
                },
                "voting_power": "2220161",
                "proposer_priority": "38739236"
            },
            {
                "address": "D540AB022088612AC74B287D076DBFBC4A377A2E",
                "pub_key": {
                    "type": "tendermint/PubKeyEd25519",
                    "value": "T2/RQlkfKOBz6eCt/drq8pCIQUPmk2e8QFJ39IsA96M="
                },
                "voting_power": "2146836",
                "proposer_priority": "57107306"
            }
        ],
        "count": "30",
        "total": "180"
    }
}

Try Yourself

Path Params
string
required
Defaults to 8U3JLUhzIDg3GShvy9hkCCSYkLGc11kj
Query Params
string
Body Params
string
required
Defaults to 2.0
int32
required
Defaults to 1
string
required
Defaults to dial_peers
params
object
Language
LoadingLoading…
Response
Click Try It! to start a request and see the response here!